Installation et Parse error: syntax error, unexpected T_STRING


#1

Bonjour,
je cherche désespérement à installer Piwik mais sans succès.

j’ai installer piwik dan sun dosssier ANALYSES sur mon serveur, et j’ai un sous-domaine, qui pointe vers ce dossier ANALYSES/piwik
Lors que j’arrive ici j’obtiens ce résultat:

Parse error: syntax error, unexpected T_STRING, expecting T_CONSTANT_ENCAPSED_STRING or ‘(’ in /homez.64/casptdkw/www/ANALYSES/piwik/index.php on line 11

En fouillant un peu j’ai vu qu’il y avais peux être un bug avec la version de PHP, j’était en 5.4.24
J’ai donc changé en PHP 5.3.28 mais sans plus de succès.

j’ai réuploadé 3 fois piwik pour un trasnfert de 24,3mo.
(chose étrange sur mon ordi le dossier piwik fait 33mo… pourtant tout semble s’être uploadé correctement.)

Est ce que quelqun vois ce que je pourrais faire ? je suis chez OVH en mutu.
Merci d’avance.


(Matthieu Aubry) #2

Merci de mettre a jour PHP sur le serveur, piwik a besoin de PHP 5.3.2


#3

Mais comme je l’ai dis je suis actuellement en 5.3.28 sans plus de succès qu’en 5.4.24


(Matthieu Aubry) #4

Non jke pense que vous etes en moins de php 5.3 merci de demander a l’hebergeur


#5

Euhh…
A priori c’est moi qui règle en quel version de php je souhaite que soit le serveur.
Via le fichier ovhconfig.txt (je suis chez OVH)
Et je peux vérifier que les modifications sont bien prises en compte via ma page info_version.php
Je confirme que je suis bien en PHP Version 5.3.28


(Matthieu Aubry) #6

Pouvez vous m’envoyer le lien vers votre piwik et dans le meme serveur un lien vers le phpinfo ?


#7

Bonjour,

oui bien sûr;
voici le lien de piwik:
http://analyse.cas-p.net/
et
http://www.cas-p.net/info_version.php


(Matthieu Aubry) #8

et si vous mettez le phpinfo sur analyse.cas-p est ce que ca dit toujours 5.3.28 ?